Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.cysmiq.com/api/v1/{tenant_slug}/whoami \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://app.cysmiq.com/api/v1/{tenant_slug}/whoami"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/whoami', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
200
Example
{ "actor": { "type": "user", "id": "usr_01hxyzexample", "name": "Jane Doe", "email": "jane@example.com" }, "token": { "id": 12345, "name": "CI", "scopes": [ "vulnerabilities:read", "policy-violations:read" ], "expires_at": null }, "tenant": { "id": "t_01hxyztnt", "workspace": "acme", "slug": "acme" } }
Returns the authenticated actor (user or tenant), token details, and current tenant context.
Use a Cysmiq API token in the Authorization header: Bearer {token}.
Workspace slug for the tenant context.
Authenticated token context.
Show child attributes
Was this page helpful?